Task to check for outdated dependencies on package.json.
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
tasks
test/fixture
.gitignore
Gruntfile.js
LICENSE.md
README.md
package.json

README.md

grunt-contrib-outdated

Grunt task to check for outdated NPM dependencies.

Install

  npm install --save-dev grunt-contrib-outdated

Usage

   grunt.initConfig({
     outdated: {
       dev: {
          options: {
            // Perform the check with devDependencies too.
            development: true
          }
        }
     }
  });

   grunt.loadNpmTasks('grunt-run-grunt');
   

Tests

npm test

TODO

  • Add more flags
  • Better error handling
  • Use NPM instead of spawn?

Issue Reporting

If you have found a bug or if you have a feature request, please report them at this repository issues section. Please do not report security vulnerabilities on the public GitHub issue tracker. The Responsible Disclosure Program details the procedure for disclosing security issues.

Author

Auth0

License

This project is licensed under the MIT license. See the LICENSE file for more info.